%
%
%	v_hydro - m-files for visualizing ecohab data
%
%	author: jhyatt@usgs.gov (using pieces of work by jevans)
%
%	Version 1	Dec 1998
%
%	This contains v_dotplot, which creates vertical section plots of a 
%	user-specified variable with cell count dots and bathymetry.  
%	Horizontal sections are on their way (or anything else useful).
%	
%	IMPORTANT!! README!!  THIS ONLY WORKS FOR THE 98 DATA IN STRUCTURE FORMAT
%	CHECK THAT IT HAS CRUISE.SECTIONS.  IF NOT GRAB THE LATEST VERSIONS.
%	YOU NEED EXTCONTOUR,M_MAP, AND PSLICE WHICH YOU CAN GRAB AT
%	http://crusty.er.usgs.gov/sea-mat/index-auto.html (pslice and most anything)
%	http://www.ocgy.ubc.ca/~rich/ (m_map and extcontour)
%
%	There is so much data associated with the ecohab project that 
%	visualizing can become an overly time-consuming task.
%	These tools should allow you to spend more time analyzing the
%	data, rather than wrestling with it.
%
%	The modular design of the package allows you to use all or part
%	of the routine, with v_dotplot doing everything together.
%
%
%	v_hydro v1
%
%	Tools for visualizing CTD and cell count data for Matlab v5
%
%	v_demo.m	a good place to start, I'll hold your hand!
%
%	v_dotplot.m	creates a vertical dotplot by calling...
%
%	v_xtract.m	extracts a certain transects variable
%	v_contour.m	creates a contour map with bathymetry
%	v_dotter.m	sprinkles over cell count dots and a legend
%
%	v_pslice.m	an alternative to v_contour.m
%
% 	You shouldn't need to call these yourself...  but just in case
%	(you'll need a coastfile and a high-res bathy file (not included here))
%
%	sectioner.m	creates cruise.sections with GUI
%	bathymaker.m	creates cruise.sections.bathy
%	ecom_mapper.m	creates a map of stations and coast
%	project_onto_baseline.m
%	lateral_distance.m	these are called by sectioner.m
%
%
%	Questions or problems: email me - jhyatt@usgs.gov
%
%	Jason Hyatt
%	US Geological Survey, Woods Hole, Massachusetts  USA	
%
