%
% This script will generate and save the bottom contour in cruise.sections.bathy
% for the v_dotplot series so it doesn't have to generate that line
% on its own everytime
%
% This requires casco_low.grd and cruise.sections
%


for cruise=1:7

[xg,yg,zg]=read_gmt('casco_low.grd');
matfile=['98cb0' int2str(cruise)]

load(matfile)

for i=1:length(cruise.sections.sect)
cruise.sections.sect{i}

if length(cruise.sections.stanum{i})<2
cruise.sections.bathy{i}=[];
else
cruise.sections.bathy{i}=[];

% now generate the bottom contour


number_of_stations=length(cruise.sections.stanum{i});
xiyi=[];
dist_bot=[];
for linda=1:(number_of_stations-1)
        int=10;
        x=[cruise.lon(cruise.sections.stanum{i}(linda)) cruise.lon(cruise.sections.stanum{i}(linda+1))];
	if x(1)==x(2)
	xi(1:int+1)=x(1);
	else
        xi=[x(1):(x(2)-x(1))/int:x(2)];
	end
        y=[cruise.lat(cruise.sections.stanum{i}(linda)) cruise.lat(cruise.sections.stanum{i}(linda+1))];
        dist=[cruise.sections.lateral_dist{i}(linda) cruise.sections.lateral_dist{i}(linda+1)];
        %yi=[min(y):(max(y)-min(y))/int:max(y)];
        yi=interp1(x,y,xi);
        disti=[dist(1):(dist(2)-dist(1))/int:dist(2)];
        dist_bot=[dist_bot ; disti'];
        amy=[xi' yi'];
        xiyi=[xiyi ; amy];
	if length(xiyi)~=length(dist_bot)
	return
	end

end

bottom = interp2(xg,yg,zg,xiyi(:,1),xiyi(:,2));

bathy=[dist_bot bottom];
% add a point at the origin and at the lower right for the fill routine to work
cruise.sections.bathy{i}=[bathy ; max(bathy(:,1)) min(bathy(:,2)) ; min(bathy(:,1)) min(bathy(:,2))];
end
end
%keyboard
eval(['save ' matfile ' cruise']);
clear
end


