% 
% function []=ecom_mapper(matfile)
%
% Example  ecom_mapper('98cb06')
%
% This m-file simply draws a map with the station numbers
% and the overlaid baseline, good for making seminar slides
%
% This requires casco_coast
%
%

function []=ecom_mapper(matfile)

% default projection is mercator
map_figure = gcf;
m_proj ( 'mercator' );

load(matfile)
bl = line ( 'xdata', cruise.lon, ...
            'ydata', cruise.lat, ...
            'zdata', zeros(size(cruise.lon)), ...
            'LineStyle', 'none', ...
            'Marker', '.', ...
            'MarkerSize', 45, ...
            'Color', 'k', ...
            'Tag', 'black outline cast locations' );
wl = line ( 'xdata', cruise.lon, ...
            'ydata', cruise.lat, ...
            'zdata', ones(size(cruise.lat)), ...
            'LineStyle', 'none', ...
            'Marker', '.', ...
            'MarkerSize', 35, ...
            'Color', 'w', ...
            'Tag', 'white center cast locations' );
stanum_labels = text ( cruise.lon, cruise.lat, 2*ones(size(cruise.lat)), num2str(cruise.stanum(:)), ...
            'Fontsize', 6, ...
            'Color', [0.0 0.0 0.0], ...
            'HorizontalAlignment', 'center', ...
            'Tag', 'station number labels' );
load casco_coast
line(coast(:,1),coast(:,2));

dasp(43);
base_x=[-70.1575;-69.4726];
base_y=[43.5010;43.7553];
baseline = line ( 'XData', base_x, ...
                  'YData', base_y, ...
                  'Color', 'r', ...
                  'LineWidth', 2, ...
                  'Tag', 'baseline' );
return
