%
% function []=v_dotplot(matfile,line,variable,contour_vector,clim_vector,[clabel_flag])
%
% Example v_dotplot('98cb06','D','sal',[20:.5:32],[26 32],'off')
%
% For info on each part, do help on
% v_xtract
% v_contour
% v_dotter
%
% Running these individually allows you to access data at different
% times in order make this more versatile.
%
% If you want to mess around with the dots, check v_dotter help
%
% VARIABLES
%
% matfile: filename and path of the cruise.  You have to use the ones
%		I created and come with this package becuase they contain
%		some of the required mapping inputs.
%
% line: 'A' through 'F'
%
% variable: 'sal' or 'temp' or 'fluor', etc.
%
% contour_vector: specifies which contour lines will be drawn
%
% clim_vector: specifies the limits over which the colormap is applied.
%     		anything outside the limits is colored at the limit value.
%
% clabel_flag (optional): set to 'off' if you prefer no contour labels
%



 function []=v_dotplot(matfile,line,variable,varargin)

if nargin==0
help v_dotplot
return
end

sectract=v_xtract(matfile,line,variable);
if length(sectract.stanum)<2
disp('Less than two stations in your request!')
return
end
v_contour(sectract,varargin{:});
v_dotter(matfile,sectract);
